curl --request PATCH \
--url https://api.lynkwell.com/asset-management/v1/networks/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrolledServices": {
"billing": {
"finishedOnboarding": true
},
"ticketing": {},
"email": {},
"ocpi": {
"roles": []
},
"installerJourney": {},
"plugAndCharge": {},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"siteManagerMfaRequired": true,
"nayax": {
"operatorId": 123
}
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/networks/{networkId}"
payload = {
"enrolledServices": {
"billing": { "finishedOnboarding": True },
"ticketing": {},
"email": {},
"ocpi": { "roles": [] },
"installerJourney": {},
"plugAndCharge": {},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"siteManagerMfaRequired": True,
"nayax": { "operatorId": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enrolledServices: {
billing: {finishedOnboarding: true},
ticketing: {},
email: {},
ocpi: {roles: []},
installerJourney: {},
plugAndCharge: {},
energyManagement: {},
mobile: {appName: '<string>', iosStoreUrl: '<string>', androidStoreUrl: '<string>'}
},
siteHostDashboardUrl: '<string>',
driverSupportPhoneNumber: '<string>',
driverSupportSmsNumber: '<string>',
siteManagerMfaRequired: true,
nayax: {operatorId: 123}
})
};
fetch('https://api.lynkwell.com/asset-management/v1/networks/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"productOfferings": [
{
"name": {
"en_US": "<string>",
"es_US": "<string>"
},
"currency": "<string>",
"pricingDetails": [
{
"type": "MONTHLY",
"value": 123,
"isPrivate": true
}
],
"description": {
"en_US": "<string>",
"es_US": "<string>"
},
"features": {
"en_US": [
"<string>"
],
"es_US": [
"<string>"
]
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactDetails": {
"phone": "<string>",
"website": "<string>",
"email": "<string>"
},
"enrolledServices": {
"billing": {
"finishedOnboarding": true
},
"ticketing": {},
"email": {},
"ocpi": {
"roles": [
"CPO"
]
},
"installerJourney": {},
"plugAndCharge": {},
"guestCharging": {
"connectedAccountId": "<string>",
"convenienceFeeInCents": 123,
"currency": "<string>"
},
"energyManagement": {},
"mobile": {
"appName": "<string>",
"iosStoreUrl": "<string>",
"androidStoreUrl": "<string>"
}
},
"siteHostDashboardUrl": "<string>",
"driverSupportPhoneNumber": "<string>",
"driverSupportSmsNumber": "<string>",
"type": "FLEET",
"siteManagerMfaRequired": true
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Update a network
This endpoint updates an existing network.
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the network to update WARNING! This action is potentially dangerous and irreversible!
Body
Physical address details
Show child attributes
Show child attributes
Contact details for the network
Show child attributes
Show child attributes
The services that the network is enrolled in. Updating enrolled services does not support partial updates. Meaning if you want to update the billing service, you need to send the entire object with all services that should and should not be included.
Show child attributes
Show child attributes
The URL to the siteHost dashboard
Driver-facing support phone number in E.164 format
Driver-facing support SMS number in E.164 format
FLEET, PUBLIC If true, MFA is required for all site host users within this network.
Nayax integration metadata.
Show child attributes
Show child attributes
Response
Returns the updated network.
Physical address details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The services that the network is enrolled in. The key of will exist if the network is enrolled
Show child attributes
Show child attributes
The URL to the siteHost dashboard
Driver-facing support phone number in E.164 format
Driver-facing support SMS number in E.164 format
FLEET, PUBLIC If true, MFA is required for all site host users within this network.